Journal
Activity journal summaries.
2 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
Summarise the journal
GET
Badge
/api/v1/journal/summary
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s. -
daysintegerLook-back window in days.Default: 1
Response 200 OK application/json
-
backups_errorintegerMax: 1.8446744073709552e+19 -
backups_successintegerMax: 1.8446744073709552e+19 -
backups_totalintegerMax: 1.8446744073709552e+19 -
checks_errorintegerMax: 1.8446744073709552e+19 -
checks_successintegerMax: 1.8446744073709552e+19 -
checks_totalintegerMax: 1.8446744073709552e+19 -
endstring<date-time> -
input_bytesintegerMax: 1.8446744073709552e+19 -
logical_read_bytesintegerMax: 1.8446744073709552e+19 -
logical_written_bytesintegerMax: 1.8446744073709552e+19 -
output_bytesintegerMax: 1.8446744073709552e+19 -
restores_errorintegerMax: 1.8446744073709552e+19 -
restores_successintegerMax: 1.8446744073709552e+19 -
restores_totalintegerMax: 1.8446744073709552e+19 -
startstring<date-time> -
store_read_bytesintegerMax: 1.8446744073709552e+19 -
store_written_bytesintegerMax: 1.8446744073709552e+19 -
syncs_errorintegerMax: 1.8446744073709552e+19 -
syncs_successintegerMax: 1.8446744073709552e+19 -
syncs_totalintegerMax: 1.8446744073709552e+19
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/journal/summary' \
-H 'Authorization: Bearer <badge>'Response 200
{
"backups_error": 0,
"backups_success": 0,
"backups_total": 0,
"checks_error": 0,
"checks_success": 0,
"checks_total": 0,
"end": "2026-01-01T00:00:00Z",
"input_bytes": 0,
"logical_read_bytes": 0,
"logical_written_bytes": 0,
"output_bytes": 0,
"restores_error": 0,
"restores_success": 0,
"restores_total": 0,
"start": "2026-01-01T00:00:00Z",
"store_read_bytes": 0,
"store_written_bytes": 0,
"syncs_error": 0,
"syncs_success": 0,
"syncs_total": 0
}Summarise the journal day by day
GET
Badge
/api/v1/journal/summary/daily
Query parameters
-
organization_idstring<uuid>Organization to act on, at or below the caller’s. Defaults to the caller’s. -
daysintegerNumber of days.Default: 7
Response 200 OK application/json
-
summariesarray[object]-
backups_errorintegerMax: 1.8446744073709552e+19 -
backups_successintegerMax: 1.8446744073709552e+19 -
backups_totalintegerMax: 1.8446744073709552e+19 -
checks_errorintegerMax: 1.8446744073709552e+19 -
checks_successintegerMax: 1.8446744073709552e+19 -
checks_totalintegerMax: 1.8446744073709552e+19 -
endstring<date-time> -
input_bytesintegerMax: 1.8446744073709552e+19 -
logical_read_bytesintegerMax: 1.8446744073709552e+19 -
logical_written_bytesintegerMax: 1.8446744073709552e+19 -
output_bytesintegerMax: 1.8446744073709552e+19 -
restores_errorintegerMax: 1.8446744073709552e+19 -
restores_successintegerMax: 1.8446744073709552e+19 -
restores_totalintegerMax: 1.8446744073709552e+19 -
startstring<date-time> -
store_read_bytesintegerMax: 1.8446744073709552e+19 -
store_written_bytesintegerMax: 1.8446744073709552e+19 -
syncs_errorintegerMax: 1.8446744073709552e+19 -
syncs_successintegerMax: 1.8446744073709552e+19 -
syncs_totalintegerMax: 1.8446744073709552e+19
-
-
totalintegerMax: 1.8446744073709552e+19
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/journal/summary/daily' \
-H 'Authorization: Bearer <badge>'Response 200
{
"summaries": [
{
"backups_error": 0,
"backups_success": 0,
"backups_total": 0,
"checks_error": 0,
"checks_success": 0,
"checks_total": 0,
"end": "2026-01-01T00:00:00Z",
"input_bytes": 0,
"logical_read_bytes": 0,
"logical_written_bytes": 0,
"output_bytes": 0,
"restores_error": 0,
"restores_success": 0,
"restores_total": 0,
"start": "2026-01-01T00:00:00Z",
"store_read_bytes": 0,
"store_written_bytes": 0,
"syncs_error": 0,
"syncs_success": 0,
"syncs_total": 0
}
],
"total": 0
}